%define version_major 0
%define version_minor 6

Name:		X3DToolKit-applications
Version:	%{version_major}.%{version_minor}
Release:	0

Summary:	X3D toolkit applications
License:	LGPL
Group:		Libraries/Graphics
Source:		%{name}-%{version}.%{release}.tar.gz
URL:		http://artis.imag.fr/Members/Yannick.Legoc/X3D
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
X3DToolKit applications is based on the X3DToolKit library and provides several
convenient X3D related programs: X3DViewer, X3DMeshEditor, X3DStats and X3DWorldCoordTranslator.

%prep
%define bindir /usr/local/bin
%setup -q
  
%build
export QTDIR=/usr/lib/qt3
export PATH=${PATH}:${QTDIR}/bin
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${QTDIR}/lib

qmake
make

%install
rm -rf $RPM_BUILD_ROOT

%{__install} -d $RPM_BUILD_ROOT%{bindir}
%{__install} --mode=755 X3DViewer/X3DViewer $RPM_BUILD_ROOT%{bindir}
%{__install} --mode=755 X3DMeshEditor/X3DMeshEditor $RPM_BUILD_ROOT%{bindir}
%{__install} --mode=755 X3DStats/X3DStats $RPM_BUILD_ROOT%{bindir}
%{__install} --mode=755 X3DWorldCoordTranslator/X3DWorldCoordTranslator $RPM_BUILD_ROOT%{bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{bindir}/X3DViewer
%{bindir}/X3DMeshEditor
%{bindir}/X3DStats
%{bindir}/X3DWorldCoordTranslator

%changelog
* Wed May 11 2004 Yannick Le Goc <legoc@imag.fr> 0.6-0
    - First RPM release.
